%global _empty_manifest_terminate_build 0
Name:		python-sqlalchemy-migrate
Version:	0.13.0
Release:	4
Summary:	Database schema migration for SQLAlchemy
License:	MIT License
URL:		http://www.openstack.org/
Source0:	https://files.pythonhosted.org/packages/36/bb/40f66b12b18fb03da76dcee31df75cca9e54b71d9d8a784bb95bfbadee2c/sqlalchemy-migrate-0.13.0.tar.gz
Patch001: python-migrate-sqlalchemy-migrate.patch
Patch002: 0001-settle-build-problem.patch
BuildArch:	noarch

Requires:	python3-pbr
Requires:	python3-sqlalchemy
Requires:	python3-decorator
Requires:	python3-six
Requires:	python3-sqlparse
Requires:	python3-tempita

%description
Fork from http://code.google.com/p/sqlalchemy-migrate/ to get it working with
SQLAlchemy 0.8.
Inspired by Ruby on Rails' migrations, Migrate provides a way to deal with
database schema changes in `SQLAlchemy <http://sqlalchemy.org>`_ projects.
Migrate extends SQLAlchemy to have database changeset handling. It provides a
database change repository mechanism which can be used from the command line as
well as from inside python code.

%package -n python3-sqlalchemy-migrate
Summary:	Database schema migration for SQLAlchemy
Provides:	python-sqlalchemy-migrate
BuildRequires:	python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:	python3-setuptools
%description -n python3-sqlalchemy-migrate
Fork from http://code.google.com/p/sqlalchemy-migrate/ to get it working with
SQLAlchemy 0.8.
Inspired by Ruby on Rails' migrations, Migrate provides a way to deal with
database schema changes in `SQLAlchemy <http://sqlalchemy.org>`_ projects.
Migrate extends SQLAlchemy to have database changeset handling. It provides a
database change repository mechanism which can be used from the command line as
well as from inside python code.

%package help
Summary:	Development documents and examples for sqlalchemy-migrate
Provides:	python3-sqlalchemy-migrate-doc
%description help
Fork from http://code.google.com/p/sqlalchemy-migrate/ to get it working with
SQLAlchemy 0.8.
Inspired by Ruby on Rails' migrations, Migrate provides a way to deal with
database schema changes in `SQLAlchemy <http://sqlalchemy.org>`_ projects.
Migrate extends SQLAlchemy to have database changeset handling. It provides a
database change repository mechanism which can be used from the command line as
well as from inside python code.

%prep
%autosetup -n sqlalchemy-migrate-0.13.0 -p1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-sqlalchemy-migrate -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Aug 21 2023 wubijie <wubijie@kylinos.cn> - 0.13.0-4
- add patch to fix mode rU for build error

* Thu Aug 11 2022 huangtianhua <huangtianhua@huawei.com> - 0.13.0-3
- Fix conflict with python-migrate

* Mon Nov 23 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
